com.rs.xbrl.instructions.formula

## Class VariableDefinitionImpl

- java.lang.Object
- - com.rs.xbrl.instructions.formula.VariableDefinitionImpl

- All Implemented Interfaces:
    VariableDefinition
  Direct Known Subclasses:
    ConceptParserResult, GeneralVariableDefinition, ParameterVariableDefinition

      public abstract class VariableDefinitionImpl
      extends java.lang.Object
      implements VariableDefinition

  The Class VariableDefinitionImpl.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableDefinitionImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XBRLResource` | `createVariable(javax.xml.namespace.QName variableName, XBRLResource resource, GenerationContext gc, net.sf.saxon.value.BooleanValue bindAsSequence, FallbackValuesTable fbTable)` Creates the variable.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rs.xbrl.instructions.formula.VariableDefinition

      `getAspects, getVarName`

- - ### Constructor Detail

    - #### VariableDefinitionImpl

          public VariableDefinitionImpl()

  - ### Method Detail

    - #### createVariable

          public XBRLResource createVariable(javax.xml.namespace.QName variableName,
                                    XBRLResource resource,
                                    GenerationContext gc,
                                    net.sf.saxon.value.BooleanValue bindAsSequence,
                                    FallbackValuesTable fbTable)

      Creates the variable.
      Specified by:
        `createVariable` in interface `VariableDefinition`
      Parameters:
        `variableName` - the variable name
        `resource` - the resource
        `gc` - the gc
        `bindAsSequence` - the bind as sequence
        `fbTable` - the fb table
      Returns:
        the XBRL resource